FROM eclipse-temurin:17
LABEL nl.naturalis.producer="Naturalis Biodiversity Center"
LABEL nl.naturalis.author="ayco.holleman@naturalis.nl"

ENV LANG en_US.UTF-8

RUN mkdir /opt/nummerreeks

COPY nummerreeks-config.yaml /opt/nummerreeks
COPY dependencies /opt/nummerreeks

ENTRYPOINT ["java"]
CMD [ "-cp" \
	, "/opt/nummerreeks/*" \
	, "-Xmn1024m" \
	, "-Dfile.encoding=UTF-8" \
	, "nl.naturalis.bcd.BcdServer" \
	, "server" \
	, "/opt/nummerreeks/nummerreeks-config.yaml" \
]